Debian Bug report logs - #620821
RFP: vpnautoconnect -- Automatically reconnect VPNs created by NetworkManager

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: barraud <barraudmanuel@wanadoo.fr>

Date: Mon, 4 Apr 2011 12:29:32 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#620821; Package wnpp. (Mon, 04 Apr 2011 12:29:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to barraud <barraudmanuel@wanadoo.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 04 Apr 2011 12:29:49 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: barraud <barraudmanuel@wanadoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: vpnautoconnect -- Automatically reconnect VPNs created by NetworkManager
Date: Mon, 04 Apr 2011 14:15:37 +0200
Package: wnpp
Severity: wishlist
Owner: barraud <barraudmanuel@wanadoo.fr>


  Package name    : vpnautoconnect
  Version         : 1.1.1
  Upstream Author : BARRAUD Manuel <barraudmanuel@wanadoo.fr>
  URL             : http://sourceforge.net/projects/vpnautoconnect/
  License         : (GPLv3)
  Programming Lang: (C)
  Description     : Automatically reconnect VPNs created by NetworkManager

vpnautoconnect is a daemon that allow you to reconnect automatically
(at startup too) a vpn created with network manager. It can reconnect
very quickly and monitor the bandwidth, It works with pptp and
openvpn connections.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>:
Bug#620821; Package wnpp. (Mon, 04 Apr 2011 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>. (Mon, 04 Apr 2011 13:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 620821@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: barraud <barraudmanuel@wanadoo.fr>, 620821@bugs.debian.org
Cc: Debian Developers <debian-devel@lists.debian.org>
Subject: Re: Bug#620821: ITP: vpnautoconnect -- Automatically reconnect VPNs created by NetworkManager
Date: Mon, 04 Apr 2011 15:06:52 +0200
[Message part 1 (text/plain, inline)]
Am 04.04.2011 14:15, schrieb barraud:
> Package: wnpp
> Severity: wishlist
> Owner: barraud <barraudmanuel@wanadoo.fr>
> 
> 
>   Package name    : vpnautoconnect
>   Version         : 1.1.1
>   Upstream Author : BARRAUD Manuel <barraudmanuel@wanadoo.fr>
>   URL             : http://sourceforge.net/projects/vpnautoconnect/
>   License         : (GPLv3)
>   Programming Lang: (C)
>   Description     : Automatically reconnect VPNs created by NetworkManager
> 
> vpnautoconnect is a daemon that allow you to reconnect automatically
> (at startup too) a vpn created with network manager. It can reconnect
> very quickly and monitor the bandwidth, It works with pptp and
> openvpn connections.

TBH I'd rather see that implemented as part of NetworkManager itself. Using a
separate daemon for this looks wrong to me.
VPN autoconnect is definitely on the TODO list of NetworkManager [1] and
upstream would be happy to help with this effort.
Please communicate this to the author of vpnautoconnect, maybe he is interested
in joining the NM development and implement it in NM proper.

Cheers,
Michael

[1] http://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/TODO
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>:
Bug#620821; Package wnpp. (Mon, 04 Apr 2011 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>. (Mon, 04 Apr 2011 15:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 620821@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: barraud <barraudmanuel@wanadoo.fr>, 620821@bugs.debian.org
Cc: Debian Developers <debian-devel@lists.debian.org>
Subject: Re: Bug#620821: ITP: vpnautoconnect -- Automatically reconnect VPNs created by NetworkManager
Date: Mon, 04 Apr 2011 17:42:44 +0200
[Message part 1 (text/plain, inline)]
Am 04.04.2011 15:06, schrieb Michael Biebl:
> Am 04.04.2011 14:15, schrieb barraud:

>>   Upstream Author : BARRAUD Manuel <barraudmanuel@wanadoo.fr>

> Please communicate this to the author of vpnautoconnect, maybe he is interested
> in joining the NM development and implement it in NM proper.

/o\ seems I missed to look at your email address.
That said, I know that Dan Williams (NM upstream) is eager to get this feature
into NM. Feel free to join #nm on freenode or the upstream devel mainling list[1].

Michael

[1] http://mail.gnome.org/mailman/listinfo/networkmanager-list
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>:
Bug#620821; Package wnpp. (Tue, 05 Apr 2011 17:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to micah anderson <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>. (Tue, 05 Apr 2011 17:57:05 GMT) Full text and rfc822 format available.

Message #20 received at 620821@bugs.debian.org (full text, mbox):

From: micah anderson <micah@riseup.net>
To: 620821@bugs.debian.org
Subject: upstream in NM
Date: Tue, 05 Apr 2011 13:33:21 -0400
[Message part 1 (text/plain, inline)]
Hi,

I think it would be great if the functionality of vpnautoconnect was
integrated into NM upstream, probably Barraud's experience on
vpnautoconnect would help quite a bit.

However, until that is available in NM, the functionality that
vpnautoconnect provides is very useful, especially in absense of
anything else that provides this.

I would be happy to review and sponsor this package, and when the author
has determined it has become obsolete, then we can remove it. Until
then, it seems useful to include.

micah


-- 

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>:
Bug#620821; Package wnpp. (Tue, 05 Apr 2011 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to elijah <elijah@riseup.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>. (Tue, 05 Apr 2011 21:30:06 GMT) Full text and rfc822 format available.

Message #25 received at 620821@bugs.debian.org (full text, mbox):

From: elijah <elijah@riseup.net>
To: 620821@bugs.debian.org
Subject: Re: Bug#620821: ITP: vpnautoconnect -- Automatically reconnect VPNs, created by NetworkManager
Date: Tue, 05 Apr 2011 14:05:38 -0700
For me, and many others, vpnautoconnect is the only way we have been
able to use a VPN with NetworkManager. Apparently, KVpnc works fine, but
I have not tried it.

Vpnautoconnect solves for me two very longstanding bugs in
NetworkManager that don't appear to have any progress. I don't know why
these bugs have languished for so long, but until there is some movement
on them I think the best bet in the near future is vpnautoconnect. I
have tried other methods, but vpnautoconnect is far more reliable.

Ideally, yes, NetworkManager would work. According to some comments in
the bugs listed below, the solution is not particularly simple. I don't
know if this is true, or why it this problem is taking so long to fix,
but reconnecting dropped VPN connections is really an essential
requirement.

problem 1: NetworkManager ignores 'connect automatically'
------------------------------------------------------------

The 'connect automatically' option in NM has no effect. This bug is
nearly five years old (!).

  https://bugzilla.gnome.org/show_bug.cgi?id=349151
  https://bugs.launchpad.net/network-manager/+bug/280571

Someone wrote a python script to drop in
/etc/NetworkManager/dispatcher.d/ in order to reconnect:

  https://bugzilla.gnome.org/attachment.cgi?id=158670

But it is a bit hackish and requires editing to set UID and VPN name
configuration.


problem 2: OpenVPN and soft-restarts
-------------------------------------

openvpn soft-restarts frequently, but NM drops the connection. This bug
is 2.5 years old.

from https://bugzilla.gnome.org/show_bug.cgi?id=556134

> Since n-m-openvpn calls OpenVPN with the --up-restart parameter,
> OpenVPN calls back the nm-openvpn-service-openvpn-helper when it is
> restarted. In that case, nm-openvpn-service-openvpn-helper fails with
> exit code 1, resulting in bringing down the VPN connection. The
> reason for this is that OpenVPN doesn't set the same environment
> variables when calling the --up script at init and at restart. In
> particular, it doesn't set ifconfig_remote, route_gateway_1,
> ifconfig_local, route_network_1, route_net_gateway, route_vpn_gateway
> and route_netmask_1.

additional related bug reports:


https://bugs.launchpad.net/ubuntu/+source/network-manager-openvpn/+bug/280160

  https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/330056

There is this script floating around:

  http://ubuntuforums.org/showthread.php?t=1316314

This works similar to the other script above. I have not looked closely
to compare the differences. It also is in python, requires custom
editing, is a bit hackish, and gets dropped in
/etc/NetworkManager/dispatcher.d/ a






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>:
Bug#620821; Package wnpp. (Thu, 10 Nov 2011 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>. (Thu, 10 Nov 2011 23:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 620821@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 620821-submitter@bugs.debian.org
Cc: 620821@bugs.debian.org
Subject: vpnautoconnect
Date: Thu, 10 Nov 2011 15:27:00 -0800
Hi barraud,

In #620821 you submitted an ITP for vpnautoconnect, do you still intend
to package it?

I agree with others in the bug report that it would still be useful to
have until (or even after) Network Manager can do this itself.

Thanks,

-- 
Matt Taggart
taggart@debian.org




Message sent on to barraud <barraudmanuel@wanadoo.fr>:
Bug#620821. (Thu, 10 Nov 2011 23:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>:
Bug#620821; Package wnpp. (Tue, 22 Nov 2011 08:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barraud Manuel <barraudmanuel@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>. (Tue, 22 Nov 2011 08:27:12 GMT) Full text and rfc822 format available.

Message #38 received at 620821@bugs.debian.org (full text, mbox):

From: Barraud Manuel <barraudmanuel@wanadoo.fr>
To: Matt Taggart <taggart@debian.org>, 620821@bugs.debian.org
Subject: Re: Bug#620821: vpnautoconnect
Date: Tue, 22 Nov 2011 09:23:29 +0100
[Message part 1 (text/plain, inline)]
Hi,
Yes it will be great. But at the moment i'll do a complete rewrite of code
(2.0) So i wait the release of 2.0 to submit the new version ;)


Manu

2011/11/11 Matt Taggart <taggart@debian.org>

> Hi barraud,
>
> In #620821 you submitted an ITP for vpnautoconnect, do you still intend
> to package it?
>
> I agree with others in the bug report that it would still be useful to
> have until (or even after) Network Manager can do this itself.
>
> Thanks,
>
> --
> Matt Taggart
> taggart@debian.org
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>:
Bug#620821; Package wnpp. (Mon, 27 May 2013 13:37:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, barraud <barraudmanuel@wanadoo.fr>. (Mon, 27 May 2013 13:37:13 GMT) Full text and rfc822 format available.

Message #43 received at 620821@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 620821@bugs.debian.org
Cc: control@bugs.debian.org
Subject: vpnautoconnect: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:11 +0200
retitle 620821 RFP: vpnautoconnect -- Automatically reconnect VPNs created by NetworkManager
noowner 620821
tag 620821 - pending
thanks

Hi,

This is an automatic email to change the status of vpnautoconnect back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting vpnautoconnect, please send a mail to
<control@bugs.debian.org> with:

 retitle 620821 ITP: vpnautoconnect -- Automatically reconnect VPNs created by NetworkManager
 owner 620821 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <620821@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: vpnautoconnect -- Automatically reconnect VPNs created by NetworkManager' from 'ITP: vpnautoconnect -- Automatically reconnect VPNs created by NetworkManager' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:56:35 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by barraud <barraudmanuel@wanadoo.fr>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:56:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:22:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.